Revoke CitrusAd credentials
curl --request DELETE \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/ad-servers/citrusad/credentials/{credentialKind} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/ad-servers/citrusad/credentials/{credentialKind}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/ad-servers/citrusad/credentials/{credentialKind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"credentialId": "<string>",
"moduleInstanceId": "<string>",
"credentialKind": "API_KEY",
"status": "PENDING",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Revoke CitrusAd credentials
Revoke the live storefront-scoped CitrusAd credential and delete its stored secret.
DELETE
/
inventory-sources
/
{sourceId}
/
ad-servers
/
citrusad
/
credentials
/
{credentialKind}
Revoke CitrusAd credentials
curl --request DELETE \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/ad-servers/citrusad/credentials/{credentialKind} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/ad-servers/citrusad/credentials/{credentialKind}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/ad-servers/citrusad/credentials/{credentialKind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"credentialId": "<string>",
"moduleInstanceId": "<string>",
"credentialKind": "API_KEY",
"status": "PENDING",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1CitrusAd credential kind
Available options:
API_KEY, BEARER, OAUTH Response
Revoke CitrusAd credentials
Non-secret lifecycle metadata for one inventory-source module credential.
Show child attributes
Show child attributes